Skip to main content
`Ctrl`+`K`

# PetscLogStateEventCurrentlyActive

Returns whether a specific `PetscLogEvent` is active in the currently active stage of a `PetscLogState`

## Synopsis

    #include <petsclog.h>
    PetscBool PetscLogStateEventCurrentlyActive(PetscLogState state, PetscLogEvent event)

Not Collective; No Fortran Support

## Input Parameters

- state - the `PetscLogState` (may be `NULL`, in which case `PETSC_FALSE` is returned)

- event - the event index

## See Also

`PetscLogState`, `PetscLogEvent`, `PetscLogStateStageEventIsActive()`

## Level

developer

## Location

include/petsclog.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages